function s6_a2f

% Numerische Mathematik, SS 2005
% Serie 6, Aufgabe 2f

h = [0.1 0.05 0.01]; % Schrittweiten
T = 0.4; % obere Grenze des Integrationsintervalles

for i=1:length(h)
  N = T/h(i);
  y = zeros(N+1,1);
  y(1) = 1.1; % Anfangswert
  for k=1:N
    y(k+1) = y(k) + h(i)*f((k-1)*h,y(k));
  end
  figure;
  plot([0:h(i):T]',y)
  title(['Schrittweite h = ',num2str(h(i))])
end

% Plot der Lsungskurven:
%h = 0.005; N = T/h;
%aw = [ 1.1 1.08 1.06 1.04 1.02 1.01 1 0.998 0.996 0.994 0.992 0.99 ];
%figure; hold

%for i = 1:length(aw)
%  y = zeros(N+1,1);
%  y(1) = aw(i); % Anfangswert
%  for k=1:N
%    y(k+1) = y(k) + h*f((k-1)*h,y(k));
%  end
%  plot([0:h:T]',y)
%end
%gtext('stabiler Bereich')
%gtext('instabiler Bereich')